Subject: Re: bug#72808: 30.0.90; editorconfig doesn't set tab_width to a default value

From: Damien Cassou <[email-masked]>
Date: Fri, 01 Nov 2024 11:51:10 +0100

Hi Eli,

Eli Zaretskii <[email-masked]> writes:
> Indeed.  Moreover, people who claim that we must behave like other
> editors should also explain how to reconcile that with the fact that
> Emacs has a much more complex handling of tab-width wrt indentation,
> and in particular we almost completely decoupled these two.

it is highly possible that the editorconfig file format isn't as
powerful as what Emacs provides. It would make sense for someone
knowledgeable to discuss these arguments in the editorconfig's mailing
list: https://editorconfig.org/#contributing.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill